#ifndef __RENDERER_H__
#define __RENDERER_H__

#include "scene.h"
#include <SDL2/SDL_surface.h>
#include <SDL2/SDL_render.h>
#include <stdbool.h>

typedef struct Scene Scene_t;

//goes to false on exit
extern bool running;
extern SDL_Renderer * renderer;

typedef struct MonitorSize {
    int width, height;
} MonitorSize_t;

void renderer_main(int argc, char ** argv, void(*game_setup)(void), void(*game_loop)(void));
MonitorSize_t renderer_getMonitorSize(void);
void renderer_setScene(const Scene_t * newScene);
const Scene_t * renderer_getScene(void);

#endif
